Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 750185 - dev-ml/ppx_sexp_value-0.14.0 : is not a compiled interface for this version of OCaml.
Summary: dev-ml/ppx_sexp_value-0.14.0 : is not a compiled interface for this version ...
Status: RESOLVED DUPLICATE of bug 731150
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Team for the ML programming language family
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-19 16:42 UTC by Toralf Förster
Modified: 2021-07-12 20:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.29 KB, text/plain)
2020-10-19 16:42 UTC, Toralf Förster
Details
dev-ml:ppx_sexp_value-0.14.0:20201019-140235.log (dev-ml:ppx_sexp_value-0.14.0:20201019-140235.log,2.45 KB, text/plain)
2020-10-19 16:42 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,267.55 KB, text/plain)
2020-10-19 16:42 UTC, Toralf Förster
Details
environment (environment,20.85 KB, text/plain)
2020-10-19 16:42 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,23.11 KB, application/x-bzip)
2020-10-19 16:42 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,7.46 KB, application/x-bzip)
2020-10-19 16:42 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-10-19 16:42:11 UTC
File "src/ppx_sexp_value.ml", line 1:
Error: /usr/lib64/ocaml/ppx_here/expander/ppx_here_expander.cmi
       is not a compiled interface for this version of OCaml.
It seems to be for an older version of OCaml.
Done: 30/45 (jobs: 1)
                     

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20201012-031827

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-10.2.0 *
clang version 11.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/11/bin
/usr/lib/llvm/11
11.0.0
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby25 (with Rubygems)
  [2]   ruby26 (with Rubygems)
  [3]   ruby27 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.47.0
  [2]   rust-1.47.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.265_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.8.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Mon Oct 19 12:35:23 PM UTC 2020
/var/db/repos/libressl	Sun Oct 18 04:35:14 PM UTC 2020

emerge -qpvO dev-ml/ppx_sexp_value
[ebuild  N    ] dev-ml/ppx_sexp_value-0.14.0  USE="ocamlopt"
Comment 1 Toralf Förster gentoo-dev 2020-10-19 16:42:12 UTC
Created attachment 666947 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-10-19 16:42:13 UTC
Created attachment 666950 [details]
dev-ml:ppx_sexp_value-0.14.0:20201019-140235.log
Comment 3 Toralf Förster gentoo-dev 2020-10-19 16:42:15 UTC
Created attachment 666953 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-10-19 16:42:16 UTC
Created attachment 666956 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-10-19 16:42:17 UTC
Created attachment 666959 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-10-19 16:42:19 UTC
Created attachment 666962 [details]
temp.tbz2
Comment 7 Sam James archtester gentoo-dev Security 2021-02-09 18:33:19 UTC
toralf, you added --deep to your EMERGE_DEFAULT_OPTS since this, right?

I can't fully explain why it didn't get rebuilt when you changed dev-lang/ocaml. Hm. :/
Comment 8 Toralf Förster gentoo-dev 2021-02-09 18:40:45 UTC
(In reply to Sam James from comment #7)
> toralf, you added --deep to your EMERGE_DEFAULT_OPTS since this, right?
> 
> I can't fully explain why it didn't get rebuilt when you changed
> dev-lang/ocaml. Hm. :/

For @system and @world "--deep" is unconditionally set (run once a day).
For a straight emerge -u <package>" however not.

The image is gone in the meanwhile however.
Comment 9 Sam James archtester gentoo-dev Security 2021-02-09 20:23:29 UTC
(In reply to Toralf Förster from comment #8)
> (In reply to Sam James from comment #7)
> > toralf, you added --deep to your EMERGE_DEFAULT_OPTS since this, right?
> > 
> > I can't fully explain why it didn't get rebuilt when you changed
> > dev-lang/ocaml. Hm. :/
> 
> For @system and @world "--deep" is unconditionally set (run once a day).
> For a straight emerge -u <package>" however not.
> 
> The image is gone in the meanwhile however.

Based on https://bugs.gentoo.org/750368#c10, I think we need --deep always?
Comment 10 Tupone Alfredo gentoo-dev 2021-07-12 20:22:01 UTC

*** This bug has been marked as a duplicate of bug 731150 ***